=== debian/changelog ===
ros-melodic-odva-ethernetip (0.1.4-0stretch) stretch; urgency=high

  * Update .travis.yml to use industrial CI to test against Xenial
  * Logging using console_bridge (#15 <https://github.com/ros-drivers/odva_ethernetip/issues/15>)
    - cout replaced by logInform
    - cerr with 'Warning: ' string replaced by logWarn
    - cerr without 'Warning: ' string replaced by logErr
  * Contributors: Rein Appeldoorn

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 21 Feb 2019 00:00:00 -0000

ros-melodic-odva-ethernetip (0.1.3-0stretch) stretch; urgency=high

  * Make sure to #include <boost/array.hpp> in the header file.
  * Switch to unsigned char arrays in the tests.
    This gets rid of a narrowing error thrown by the compiler.
  * Contributors: Chris Lalancette

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 13 Apr 2018 00:00:00 -0000

ros-melodic-odva-ethernetip (0.1.2-0stretch) stretch; urgency=high

  * Optional local_ip (#8 <https://github.com/ros-drivers/odva_ethernetip/issues/8>)
  * Exclude tests from rosdoc.
  * Minor manifest and build script updates.
  * Use ros-shadow-fixed for dependencies.
  * Contributors: Mike Purvis, Rein Appeldoorn, gavanderhoorn

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 12 Apr 2018 00:00:00 -0000

ros-melodic-odva-ethernetip (0.1.1-0stretch) stretch; urgency=high

  * Fixed library name.
  * Contributors: Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 17 Nov 2015 00:00:00 -0000

ros-melodic-odva-ethernetip (0.1.0-0stretch) stretch; urgency=high

  * Initial release.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 17 Nov 2015 00:00:00 -0000
