=== debian/control ===
Source: ros-melodic-odva-ethernetip
Section: misc
Priority: extra
Maintainer: Mike Purvis <mpurvis@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libconsole-bridge-dev, ros-melodic-catkin, ros-melodic-rosunit
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-odva-ethernetip
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libconsole-bridge-dev
Description: Library implementing ODVA EtherNet/IP (Industrial Protocol).
